import { jsx } from "react/jsx-runtime";
import { TokenXNA as TokenXNA$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenXNA = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "XNA", "data-name": "TokenXNA", ...props, children: /* @__PURE__ */ jsx(TokenXNA$1, { variant }) });
  }
);
TokenXNA.displayName = "TokenXNA";
Object.assign(TokenXNA, { isGdsIcon: true });
export {
  TokenXNA
};
